package ejbs;

import entities.nomapkeyannotation.Course;
import entities.noorderbyannotation.Department;
import java.util.Collection;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class MapKeyOrderByBean implements MapKeyOrderByRemote {
    
    @PersistenceContext(unitName="mapkey-orderby")
    EntityManager em;
    
    public MapKeyOrderByBean() {
    }

    public void persistEntity(Object entity) {
        em.persist(entity);
    }

    public void persistEntityCollection(Collection collection) {
        for(Object entity : collection){
            em.persist(entity);
        }
    }

    public Course getCourse(int id) {
        Course course = em.find(Course.class, id);
        return course;
    }
    
    public Object getEntity(Class aClass, long id) {
        return em.find(aClass, id);
    }

    public Department getDepartment(long id) {
        Department dept = em.find(Department.class, id);
        dept.getEmployees().iterator().next();
        return dept;
    }

}
