package tests.javaee;

import com.sun.ejte.ccl.reporter.SimpleReporterAdapter;
import testhelpers.assertionhelpers.AssertionHelper;

public class TestsRunner {
    
    private static SimpleReporterAdapter reporter = new SimpleReporterAdapter("appserver-sqe");
    private static String dbDriver, dbURL, dbUser;
    
    private static AssertionHelper assertionHelper;
    
    private static String dbPassword;
    
    public static void main(String args[]){
        String testSuiteID =args[0];
        reporter.addDescription(testSuiteID);
        
        assertionHelper = new AssertionHelper(args, reporter);
        TestsRunner client = new TestsRunner();
        
        try {

            new TestNoMapKeyAnnotation(testSuiteID, assertionHelper).test();
            //    new TestOverrideMapKey(testSuiteID, assertionHelper).test();
	    //    new TestNoOrderByAnnotation(testSuiteID, assertionHelper).test();
            //    new TestOverrideOrderBy(testSuiteID, assertionHelper).test();
        } catch (Exception ex){
            assertionHelper.reportFail(testSuiteID, "One of the Tests threw an exception during instantiation. Check on creation of EMF !!");
            ex.printStackTrace();
        } finally {
            reporter.printSummary();
        }
    }
    
}
