CREATE TABLE THEATRELOCATION (ID BIGINT NOT NULL, CODE VARCHAR(255) UNIQUE NOT NULL, PRIMARY KEY (ID));
CREATE TABLE DEPARTMENT (ID BIGINT NOT NULL, NAME VARCHAR(255), PRIMARY KEY (ID));
CREATE TABLE COURSE (ID INTEGER NOT NULL, NAME VARCHAR(255), PRIMARY KEY (ID));
CREATE TABLE RETAILORDER_CUSTOMER (customers_ID BIGINT NOT NULL, orders_ID BIGINT NOT NULL, PRIMARY KEY (customers_ID, orders_ID));
CREATE TABLE RETAILORDER (ID BIGINT NOT NULL, COST FLOAT, PRIMARY KEY (ID));
CREATE TABLE THEATRELOCATION_THEATRECOMPANY (companies_ID BIGINT NOT NULL, locations_ID BIGINT NOT NULL, PRIMARY KEY (companies_ID, locations_ID));
CREATE TABLE STUDENT (ID INTEGER NOT NULL, NAME VARCHAR(255) UNIQUE NOT NULL, COURSE_ID INTEGER, PRIMARY KEY (ID));
CREATE TABLE EMPLOYEE (ID BIGINT NOT NULL, CODE VARCHAR(255), DEPARTMENT_ID BIGINT, PRIMARY KEY (ID));
CREATE TABLE CUSTOMER (ID BIGINT NOT NULL, PRIMARY KEY (ID));
CREATE TABLE THEATRECOMPANY (ID BIGINT NOT NULL, NAME VARCHAR(255), PRIMARY KEY (ID));
ALTER TABLE RETAILORDER_CUSTOMER ADD CONSTRAINT RTLRDRCSTOMERrdrsD FOREIGN KEY (orders_ID) REFERENCES RETAILORDER (ID);
ALTER TABLE RETAILORDER_CUSTOMER ADD CONSTRAINT RTLRDRCSTMRcstmrsD FOREIGN KEY (customers_ID) REFERENCES CUSTOMER (ID);
ALTER TABLE THEATRELOCATION_THEATRECOMPANY ADD CONSTRAINT THTRLCTNTHTRcmpnsD FOREIGN KEY (companies_ID) REFERENCES THEATRECOMPANY (ID);
ALTER TABLE THEATRELOCATION_THEATRECOMPANY ADD CONSTRAINT THTRLCTNTHTRlctnsD FOREIGN KEY (locations_ID) REFERENCES THEATRELOCATION (ID);
ALTER TABLE STUDENT ADD CONSTRAINT STUDENT_COURSE_ID FOREIGN KEY (COURSE_ID) REFERENCES COURSE (ID);
ALTER TABLE EMPLOYEE ADD CONSTRAINT MPLOYEEDPARTMENTID FOREIGN KEY (DEPARTMENT_ID) REFERENCES DEPARTMENT (ID);
